{ config, lib, pkgs, ... }:

with lib;
let
  cfg = config.modules.software.system.eza;
in {
  options.modules.software.system.eza = {
    enable = mkEnableOption "Enable eza, a modern replacement for ls";
  };

  config = mkIf cfg.enable {
    hm.programs.eza.enable = true;
    hm.programs.eza.git = true;
  };
}